
# ========================================================================
#
# Script        : Main.py
# Author        : Dufour Louis
# Creation date : 20-02-2023
#
# ========================================================================

from cProfile import label
from sys import api_version
import psycopg2 # pip3 install types-psycopg2
import matplotlib.pyplot as plt
import pandas as pand # pip3 install pandas
from getpass import getpass

################# Debut Tips #################

# Pour lancer le script il faut être dans le réseau de l'iut
# Il faut aussi se trouver dans le répertoire où se trouvent les fichiers sinon le script ne trouve pas les fichiers sql

################# Fin Tips #################

def Methode1(connection):
    """Exemple request"""
    df = pand.read_sql("SELECT name_country, nbmusic FROM Top10MusiquesParPays", con=connection)
    fig = df.plot.bar(x='name_country', y='nbmusic', legend=False, rot=0)
    fig.set_xlabel('Country')
    fig.set_ylabel('Music count')
    fig.bar_label(fig.containers[0]) # Show values

# Lors de l'execution le main s'exectute et en plus si on l'import autre part cela n'executera pas le code
if __name__ == '__main__':
    db_host = input('Nom d\'hôte : ')
    if not db_host:
        db_host = 'berlin'
    db_name = input('Nom de la base de données : ')
    if not db_name:
        db_name = 'dblodufour1'
    db_user = input('Utilisateur : ')
    if not db_user:
        db_user = 'lodufour1'
    db_password = getpass('Mot de passe : ')

    connection = psycopg2.connect(host=db_host, port=5432, database=db_name, user=db_user, password=db_password)
    
    #Methode1(connection)         
    connection.close()